data:
  image: busybox
  volumes:
    - ${PWD}/dbdata:/var/lib/postgresql/data
    - ${PWD}/config:/config
    - ${PWD}/backup:/backup
db:
  restart: always
  image: djsmith/ssdt-postgres:1
  volumes_from:
    - data
  environment:
    - DB_NAME=usasdb
    - DB_USER=usas
    - DB_PASS=PleaseDontUseExamplePasswords
app:
  restart: always
  image: djsmith/usas-app:snapshot
  volumes_from:
    - data
  ports:
    - "18004:8080"
  links:
    - db:database
  environment:
    - DB_HOST=database
    - DB_NAME=$${DATABASE_ENV_DB_NAME}
    - DB_USER=$${DATABASE_ENV_DB_USER}
    - DB_PASS=$${DATABASE_ENV_DB_PASS}

